body {
    overflow-x: hidden;
}

#header_green {
    background-color: #8AFFDA;
    padding: 17px;
    color: black;
}   

#menu {
    padding-left: 50px;
}

#menu_wide {
    padding: 0;
    min-width: 1280px;
}

#locate_button {
    width: 100%;
    min-width: 250px;
    max-width: 400px;
    background-color: #8AFFDA;
    border-color: #000000;
    color: black;
}

#menu img {
    max-height: 60px;
}

.navbar-toggler-icon {
    background-color: #000000;
}

footer {
    padding: 1rem 0;
    color: white;
}

#map-container {
    position: relative;
    width: 100%;
    height: 100vh;  /* Full viewport height */
}

#map {
    width: 100%;
    height: 100%;
}

#map-container2 {
    position: fixed;
    top: 172px;
    /* width: 60%;
    height: 70vh; */
}

/* #map {
    height: 500px;
    width: 100%;
} */

#btn_go {
    width: 100%;
    background-color: #8AFFDA;
    border-color: #000000;
}

.dropdown-menu {
    max-height: 450px;
    width: 250px;
    position: absolute !important;
    will-change: transform !important;
    z-index: 1050 !important; /* Au-dessus des autres éléments */
}

#loadMoreBtn {
    background-color: #8AFFDA;
    border-color: #000000;
    color: black;
    width: 40%;
}

#itineraire {
    height: calc(100vh - 145px); /* Full viewport height minus header height */
    width: 20vw; /* Fixed width */
    position: absolute;
    top: 172px; /* Adjust to start below the header */
    left: 0;
    background-color: #111;
    padding-top: 20px;
    z-index: 1; /* Ensure it is above other elements */
    overflow-y: auto; /* Scroll if content overflows */
    color: white; /* Text color for readability */
}

#itineraire ul {
    list-style: none; /* Remove bullet points */
    padding: 0; /* Remove default padding */
}

#search_roadmap {
    color: black;
    margin: 15px;
    width: 90%;
}

#btn_go_calculate {
    width: 90%;
    background-color: #8AFFDA;
    border-color: #000000;
}